Subject: [Megaco] Fw: Handoff-query-reg

From: "Surya Kumar IVG" <[email-masked]>
Date: Fri, 4 Jan 2002 10:52:04 +0530

----- Original Message ----- 
From: Madhu Babu Brahmanapally 
To: 'Surya Kumar IVG' 
Sent: Thursday, January 03, 2002 7:51 PM
Subject: RE: Handoff-query-reg

HI Surya,
I wrote the reply yesterday and thought I sent it to you, Sorry for that. Normally when a MG is controlled by a MGC pool, IMO all the MGCs inside that control pool will have similar transport mechanism. I mean if the Primary is using TCP, the new MGC contacted due to failover or handoff will also be using the same transport protocol. As you mentioned, the RFC doesn't throw any light on this. Whydont you send a mail to the mailing list for expected outcome in this situation. But IMO don't hardcode any transport protocol for this purpose(or assume any default). Hope that the mailing list replies may help us.

Regards
Madhubabu
  -----Original Message-----
  From: Surya Kumar IVG [mailto:[email-masked]]
  Sent: Thursday, January 03, 2002 2:02 AM
  To: Madhu Babu Brahmanapally
  Subject: Fw: Handoff-query-reg

  REPEAT
  ----- Original Message ----- 
  From: Surya Kumar IVG 
  To: Madhu Babu Brahmanapally 
  Sent: Wednesday, January 02, 2002 12:30 PM
  Subject: Handoff-query-reg

  Dear Madhubabu

  I have a query with regards to handoff mechanism.

  Considering that MGC P is going down for a while for maintenance and sends a handoff to MG and provides the ID of MGC to be contacted , while it goes down.

  The MG tries with a failover to that particular MGC and treats that as Primary for all practical purposes, if contacts successfully. Else it goes for list of designated secondary mGCs one after another , till it is successful.

  But , once handoff comes, MGC does not specify any transport  media on which MG has to try to talk to MGC i.e UDp or TCP. The RFC also does not throw any details on that.

  Can we make it as default for MG to try on UDP and not successful, it can still try on TCP to the same MGC. ? If not successful , then MG moves to secondary MGC.

  regards
  surya